<?php
  session_start();
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php'; 

	$match = $mysqli->escape_string($_GET["match"]);
	$resposta = $mysqli->escape_string($_GET["resposta"]);

  if(!isset($_SESSION["enquetes"])){ $_SESSION["enquetes"] = array(); }

  if(in_array($match, $_SESSION["enquetes"])){ echo 'Você já respondeu a enquete desta partida.'; exit; }

	// Pesquisa se enquete já existe
	$sql = $mysqli->query("SELECT enq_id FROM enquetes WHERE enq_match = '$match'");
	if(mysqli_num_rows($sql) == 0){
		$sql = $mysqli->query("INSERT INTO enquetes SET enq_match = '$match'");
	}

  	switch ($resposta) {
  		case '1':
  			$sql = $mysqli->query("UPDATE enquetes SET enq_casa = (enq_casa + 1) WHERE enq_match = '$match'");
  			break;

  		case 'X':
  			$sql = $mysqli->query("UPDATE enquetes SET enq_empate = (enq_empate + 1) WHERE enq_match = '$match'");
  			break;

  		case '2':
  			$sql = $mysqli->query("UPDATE enquetes SET enq_fora = (enq_fora + 1) WHERE enq_match = '$match'");
  			break;
  		
  		default:
  			$sql = 1;
  			break;
  	}

  	if(!$sql){
  		echo 'Ocorreu um erro ao votar! '.$mysqli->error;
  	}
  	else {
      array_push($_SESSION["enquetes"], $match);
  		echo '1';
  	}
?>